Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 156390 - spamd generate child processes which occupies all memory
Summary: spamd generate child processes which occupies all memory
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: spamassassin
Version: 4.0
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
: ---
Assignee: Warren Togami
QA Contact:
URL:
Whiteboard:
Depends On: 151433
Blocks: spamassassin_RHEL4
TreeView+ depends on / blocked
 
Reported: 2005-04-29 17:24 UTC by Warren Togami
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version: spamassassin-3.0.4-1.el4
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-07-04 02:20:42 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Warren Togami 2005-04-29 17:24:26 UTC
+++ This bug was initially created as a clone of Bug #151433 +++

From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050302
Firefox/1.0.1 Fedora/1.0.1-1.3.2

Description of problem:
I'm trying to make evolution to use spamassassin, but when I download mails the
spamd process generates several child processes which are eating all my memory.
 To make it worse, after I have downloaded the mails those processes don't free
any memory untill I kill them manually.

Version-Release number of selected component (if applicable):
3.0.1

How reproducible:
Always

Steps to Reproduce:
1.start evolution
2.download mails from mail server
3.ram memory gets filled up completely
  

Actual Results:  memory filled up completely and I had to kill manually the
spamd processes

Expected Results:  spamd processes should stop automatically and free all used
memory

Comment 5 Warren Togami 2005-07-04 02:20:42 UTC
Fixed in RHSA-2005:498 spamassassin-3.0.4-1.el4


Note You need to log in before you can comment on or make changes to this bug.